package core

  1. Overview
  2. Docs
Industrial strength alternative to OCaml's standard library

Install

Dune Dependency

Authors

Maintainers

Sources

v0.17.1.tar.gz
md5=743a141234e04210e295980f7a78a6d9
sha512=61b415f4fb12c78d30649fff1aabe3a475eea926ce6edb7774031f4dc7f37ea51f5d9337ead6ec73cd93da5fd1ed0f2738c210c71ebc8fe9d7f6135a06bd176f

Description

The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

This is the system-independent part of Core. Unix-specific parts were moved to [core_unix].

Published: 29 May 2024

Dependencies (24)

  1. dune >= "3.11.0"
  2. variantslib >= "v0.17" & < "v0.18"
  3. typerep >= "v0.17" & < "v0.18"
  4. time_now >= "v0.17" & < "v0.18"
  5. stdio >= "v0.17" & < "v0.18"
  6. splittable_random >= "v0.17" & < "v0.18"
  7. sexplib >= "v0.17" & < "v0.18"
  8. ppx_sexp_message >= "v0.17" & < "v0.18"
  9. ppx_sexp_conv >= "v0.17" & < "v0.18"
  10. ppx_optcomp >= "v0.17" & < "v0.18"
  11. ppx_jane >= "v0.17" & < "v0.18"
  12. ppx_inline_test >= "v0.17" & < "v0.18"
  13. ppx_hash >= "v0.17" & < "v0.18"
  14. ppx_diff >= "v0.17" & < "v0.18"
  15. ppx_base >= "v0.17" & < "v0.18"
  16. ppx_assert >= "v0.17" & < "v0.18"
  17. jst-config >= "v0.17" & < "v0.18"
  18. jane-street-headers >= "v0.17" & < "v0.18"
  19. fieldslib >= "v0.17" & < "v0.18"
  20. bin_prot >= "v0.17" & < "v0.18"
  21. base_quickcheck >= "v0.17" & < "v0.18"
  22. base_bigstring >= "v0.17" & < "v0.18"
  23. base >= "v0.17" & < "v0.18"
  24. ocaml >= "5.1.0"

Dev Dependencies

None

  1. accessor_async >= "v0.17.0"
  2. accessor_core >= "v0.17.0"
  3. alcotest-async >= "1.3.0"
  4. amf < "0.1.2"
  5. anthill
  6. arakoon >= "1.9.17"
  7. arrayjit
  8. async >= "v0.17.0"
  9. async-mvar
  10. async-uri >= "0.4.0"
  11. async-zmq >= "0.1.0"
  12. async_durable >= "v0.17.0"
  13. async_extra < "108.00.02" | >= "v0.17.0"
  14. async_find >= "v0.17.0"
  15. async_inotify >= "v0.17.0"
  16. async_interactive >= "v0.17.0"
  17. async_js >= "v0.17.0"
  18. async_kernel >= "v0.17.0"
  19. async_log
  20. async_rpc_kernel >= "v0.17.0"
  21. async_sendfile >= "v0.17.0"
  22. async_shell >= "v0.17.0"
  23. async_smtp >= "v0.17.0"
  24. async_ssl >= "v0.17.0"
  25. async_unix < "108.00.02" | >= "v0.17.0"
  26. aws-s3 < "1.1.0" | >= "2.0.0" & < "4.0.0"
  27. aws-s3-async >= "4.6.0"
  28. babel >= "v0.17.0"
  29. base_trie >= "v0.17.0"
  30. bastet_async
  31. bigdecimal >= "v0.17.0"
  32. bignum >= "v0.17.0"
  33. bio_io >= "0.1.2" & < "0.5.1"
  34. biocaml >= "0.11.2"
  35. biotk >= "0.3"
  36. bistro < "0.2.0"
  37. bonsai >= "v0.17.0"
  38. boulangerie
  39. camlix
  40. capnp >= "3.0.0" & < "3.2.1"
  41. caqti-async >= "1.9.0"
  42. caravan
  43. codicons
  44. cohttp-async >= "2.5.2" & < "2.5.3" | = "2.5.6" | = "2.5.8" | = "5.0.0" | >= "5.3.0"
  45. cohttp-curl-async
  46. cohttp_async_websocket >= "v0.17.0"
  47. colibrics
  48. combinat >= "3.0"
  49. comby
  50. command_rpc >= "v0.17.0"
  51. conduit-async >= "1.2.0"
  52. conduit-async-ssl
  53. conduit-async-tls
  54. content_security_policy >= "v0.17.0"
  55. core_bench >= "v0.17.0"
  56. core_extended >= "v0.17.0"
  57. core_kernel >= "v0.17.0"
  58. core_profiler >= "v0.17.0"
  59. core_unix >= "v0.17.0"
  60. cstruct-async >= "6.1.0"
  61. csvfields >= "v0.17.0"
  62. cuid
  63. delimited_parsing >= "v0.17.0"
  64. disml
  65. ecaml >= "v0.17.0"
  66. email_message >= "v0.17.0"
  67. embedded_ocaml_templates >= "0.3.1" & < "0.6"
  68. env_config >= "v0.17.0"
  69. expect_test_helpers_async >= "v0.17.0"
  70. expect_test_helpers_core >= "v0.17.0"
  71. facebook-sdk >= "0.3.1"
  72. faraday-async >= "0.8.2"
  73. ff-bench >= "0.6.2"
  74. file_path >= "v0.17.0"
  75. flow < "0.2"
  76. frenetic = "2.0.0" | >= "3.1.0" & < "5.0.0"
  77. fuzzy_match >= "v0.17.0"
  78. gemini
  79. gen_server
  80. gluten-async >= "0.3.0"
  81. gopcaml-mode
  82. gopcaml-mode-merlin
  83. gpiod
  84. grace
  85. gradescope_submit
  86. hack_parallel < "1.0.0"
  87. hardcaml_c >= "v0.17.0"
  88. hardcaml_event_driven_sim
  89. hardcaml_of_verilog >= "v0.17.0"
  90. hardcaml_verilator >= "v0.17.0"
  91. hardcaml_xilinx_components >= "v0.17.0"
  92. hardcaml_xilinx_reports >= "v0.17.0"
  93. hex_encode >= "v0.17.0"
  94. hg_lib >= "v0.17.0"
  95. hl_yaml
  96. http < "6.0.0~alpha2"
  97. httpaf_caged >= "1.0.1"
  98. ibx < "0.5.9" | = "0.7.2" | >= "0.8.0"
  99. incr_dom >= "v0.17.0"
  100. incr_map >= "v0.17.0"
  101. incr_select >= "v0.17.0"
  102. incremental >= "v0.17.0"
  103. indentation_buffer >= "v0.17.0"
  104. janestreet_cpuid >= "v0.17.0"
  105. janestreet_lru_cache >= "v0.17.0"
  106. js_of_ocaml-webgpu
  107. lambda_streams_async
  108. legacy_diffable
  109. libsvm < "0.9.3"
  110. line-up-words < "v0.11.0" | >= "v0.17.0"
  111. liquid_interpreter
  112. liquid_ml
  113. liquid_parser
  114. liquid_std
  115. liquid_syntax
  116. little_logger >= "0.2.0"
  117. logs-async-reporter >= "1.3"
  118. m_tree
  119. man_in_the_middle_debugger >= "v0.17.0"
  120. mlt_parser >= "v0.17.0"
  121. mqtt_client
  122. netsnmp >= "v0.17.0"
  123. neural_nets_lib
  124. nocoiner
  125. numalib
  126. obeanstalk
  127. ocaml-embed-file >= "v0.17.0"
  128. ocaml_openapi_generator
  129. ocamlapi_ppx
  130. of_json >= "v0.17.0"
  131. opam-sync-github-prs
  132. openapi
  133. openapi_router
  134. openflow >= "0.3.0" & < "0.9.0"
  135. opium < "0.12.0"
  136. oraft >= "0.3.0"
  137. orewa
  138. osbx < "1.1.1"
  139. ox >= "1.1.0"
  140. oxylc
  141. p4pp >= "0.1.12"
  142. packstream
  143. pam >= "v0.17.0"
  144. pari
  145. pari-bindings
  146. patdiff >= "v0.17.0"
  147. patience_diff >= "v0.17.0"
  148. phylogenetics >= "0.3.0"
  149. pixel_pusher >= "1.1"
  150. plateau
  151. polars
  152. polars_async
  153. polling_state_rpc >= "v0.17.0"
  154. postgres_async >= "v0.17.0"
  155. ppx_bitstring < "1.3.0"
  156. ppx_css >= "v0.17.0"
  157. ppx_demo >= "v0.17.0"
  158. ppx_embed_file
  159. ppx_quick_test
  160. ppx_rapper < "1.0.1"
  161. ppx_typed_fields >= "v0.17.0"
  162. prob-cache
  163. protocol_version_header >= "v0.17.0"
  164. pyml_bindgen = "0.2.0"
  165. re2 >= "v0.17.0"
  166. redis-async >= "v0.17.0"
  167. resource_cache >= "v0.17.0"
  168. riakc >= "1.0.0"
  169. riakc_ppx != "3.1.3"
  170. rpc_parallel >= "v0.17.0"
  171. SZXX >= "4.0.0" & < "4.1.0"
  172. safemoney < "0.2.0"
  173. sarif < "0.2.1"
  174. satyrographos >= "0.0.2.7" & < "0.0.2.11"
  175. semantic_version >= "v0.17.0"
  176. sentry >= "v0.11.0"
  177. sequencer_table >= "v0.17.0"
  178. sexp >= "v0.17.0"
  179. sexp_diff >= "v0.17.0"
  180. sexp_grammar >= "v0.17.0"
  181. sexp_macro >= "v0.17.0"
  182. sexp_string_quickcheck >= "v0.17.0"
  183. shell >= "v0.17.0"
  184. shuttle >= "0.4.0"
  185. shuttle_http < "0.8.1" | >= "0.10.0"
  186. sill
  187. sociaml-tumblr-api < "0.2.0"
  188. splay_tree >= "v0.17.0"
  189. stationary
  190. stored_reversed >= "v0.17.0"
  191. streamable >= "v0.17.0"
  192. textutils >= "v0.17.0"
  193. textutils_kernel >= "v0.17.0"
  194. timezone >= "v0.17.0"
  195. tls-async >= "0.15.3"
  196. toplevel_backend >= "v0.17.0"
  197. toplevel_expect_test >= "v0.17.0"
  198. tracing >= "v0.17.0"
  199. tube < "4.1.1"
  200. username_kernel >= "v0.17.0"
  201. versioned_polling_state_rpc
  202. virtual_dom >= "v0.17.0"
  203. virtual_dom_toplayer
  204. vrt
  205. websocket-async >= "2.16"
  206. yara
  207. yojson-bench
  208. zstandard >= "v0.17.0"

Conflicts

None

OCaml

Innovation. Community. Security.